local Parent = require("scenes.battlesystem.actors.parent")
local Battler = Parent:extend()

function Battler:new(world, x, y, z)
  Battler.super.new(self, world, x, y, z)

  self.start = {}
  self.start.x = x
  self.start.y = y

  self.isBattler = true
  self.speed = 3
  self.isActive = false
  self.debugActiveTimer = 0

  self.isSelected = false
end

function Battler:destroy()
  Battler.super.destroy(self)
end

function Battler:setActive()
  core.debug:print("cbs/actor","actor " .. self.id .. " is active")
  self.isActive = true
  self.debugActiveTimer = 0
end

function Battler:update(dt)
  Battler.super.update(self, dt)
  if (self.isActive) then
    self.debugActiveTimer = self.debugActiveTimer + dt
    if self.debugActiveTimer >= 0.5 then
      core.debug:print("cbs/battler", "counter ended, switching active battler")
      self.isActive = false
      self.world:switchActiveBattler()
    end
  end
end

function Battler:validateAction()

end

return Battler
